-
- All Implemented Interfaces:
public class FairPlayKeySystemConfiguration extends KeySystemConfiguration
The configuration of the FairPlay key system configuration.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description public classFairPlayKeySystemConfiguration.BuilderThe builder for the FairPlay key system configuration.
-
Field Summary
Fields Modifier and Type Field Description private final StringcertificateURL
-
Constructor Summary
Constructors Constructor Description FairPlayKeySystemConfiguration(String certificateURL, String licenseAcquisitionURL)Creates a FairPlay key system configuration. FairPlayKeySystemConfiguration(String certificateURL, String licenseAcquisitionURL, Map<String, String> headers, boolean useCredentials, Map<String, String> queryParameters)Creates a FairPlay key system configuration.
-
Method Summary
Modifier and Type Method Description StringgetCertificateURL()The URL of the certificate. -
Methods inherited from class com.theoplayer.android.api.source.drm.KeySystemConfiguration
equals, getCertificate, getHeaders, getLicenseAcquisitionURL, getLicenseType, getQueryParameters, hashCode, isUseCredentials -
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
-
Constructor Detail
-
FairPlayKeySystemConfiguration
FairPlayKeySystemConfiguration(String certificateURL, String licenseAcquisitionURL)
Creates a FairPlay key system configuration.- Parameters:
certificateURL- The URL of the certificate.licenseAcquisitionURL- The license acquisition URL.
-
FairPlayKeySystemConfiguration
FairPlayKeySystemConfiguration(String certificateURL, String licenseAcquisitionURL, Map<String, String> headers, boolean useCredentials, Map<String, String> queryParameters)
Creates a FairPlay key system configuration.- Parameters:
certificateURL- The URL of the certificate.licenseAcquisitionURL- The license acquisition URL.headers- Map of HTTP headers for the license acquisition request.useCredentials- Whether the player is allowed to use credentials for cross-origin requests.queryParameters- Map of query parameters for the license acquisition request.
-
-
Method Detail
-
getCertificateURL
@NonNull() String getCertificateURL()
The URL of the certificate. (NonNull)
-
-
-
-